---
openapi: 3.1.0
components:
  schemas:
    ClanZajednickogDomacinstvaLicniPodaci:
      type: object
      required:
      - ime
      - prezime
      - maticniBroj
      - rodjenoPrezime
      - srodstvo
      - drzavljanstvo
      - adresaPrebivalista
      properties:
        ime:
          type: string
        prezime:
          type: string
        maticniBroj:
          type: string
        rodjenoPrezime:
          type: string
        srodstvo:
          type: string
        drzavljanstvo:
          type: string
        adresaPrebivalista:
          type: string
        mjestoPrebivalista:
          type: string
        adresaBoravista:
          type: string
        mjestoBoravista:
          type: string
    ClanstvoUOrganuUpravljanja:
      type: object
      required:
      - organizacija
      - organUpravljanja
      - organizacijaKojaVrsiImenovanje
      - status
      - mjestoObavljanja
      - datumStupanja
      - datumPrestanka
      - bezNaknade
      properties:
        organizacija:
          type: string
        organUpravljanja:
          type: string
        organizacijaKojaVrsiImenovanje:
          type: string
        status:
          type: string
        mjestoObavljanja:
          type: string
        datumStupanja:
          $ref: "#/components/schemas/LocalDate"
          type: string
        datumPrestanka:
          type:
          - string
          - "null"
          anyOf:
          - $ref: "#/components/schemas/LocalDate"
          - type: "null"
        bezNaknade:
          type: boolean
    ClanstvoURadnomTijelu:
      type: object
      required:
      - formirajuciOrgan
      - radnoTijelo
      - statusURadnomTijelu
      - mjestoObavljanja
      - datumStupanja
      - datumPrestanka
      - bezNaknade
      properties:
        formirajuciOrgan:
          type: string
        radnoTijelo:
          type: string
        statusURadnomTijelu:
          type: string
        mjestoObavljanja:
          type: string
        datumStupanja:
          $ref: "#/components/schemas/LocalDate"
          type: string
        datumPrestanka:
          type:
          - string
          - "null"
          anyOf:
          - $ref: "#/components/schemas/LocalDate"
          - type: "null"
        bezNaknade:
          type: boolean
    Depozit:
      type: object
      required:
      - vrstaDepozita
      - finansijskaInstitucija
      - brojRacuna
      - iznosDepozita
      - valutaDepozita
      - nosilacPrava
      - nosilacPravaMaticniBroj
      properties:
        vrstaDepozita:
          $ref: "#/components/schemas/VrstaDepozita"
        finansijskaInstitucija:
          type: string
          pattern: \S
        brojRacuna:
          type:
          - string
          - "null"
        iznosDepozita:
          type: number
        valutaDepozita:
          type: string
          pattern: \S
        nosilacPrava:
          type: string
          pattern: \S
        nosilacPravaMaticniBroj:
          type: string
          pattern: \S
    DugKreditZajam:
      type: object
      required:
      - vrstaKredita
      - nazivPovjerioca
      - iznosKredita
      - iznosPreostalogDuga
      - valutaKredita
      - brojRata
      - datumNastankaDugovanja
      - preostaliRokOdplate
      - duznik
      - duznikMaticniBroj
      properties:
        vrstaKredita:
          type: string
          pattern: \S
        nazivPovjerioca:
          type: string
          pattern: \S
        iznosKredita:
          type: number
        iznosPreostalogDuga:
          type: number
        valutaKredita:
          type: string
        brojRata:
          type: number
        datumNastankaDugovanja:
          $ref: "#/components/schemas/LocalDate"
          type: string
        preostaliRokOdplate:
          type: string
        duznik:
          type: string
          pattern: \S
        duznikMaticniBroj:
          type: string
          pattern: \S
    ErrorResponse:
      type: object
      required:
      - error
      - message
      properties:
        error:
          type: string
          pattern: \S
        message:
          type: string
          pattern: \S
    Gotovina:
      type: object
      required:
      - iznos
      - valuta
      - nosilacPrava
      - nosilacPravaMaticniBroj
      properties:
        iznos:
          type: number
        valuta:
          type: string
          pattern: \S
        nosilacPrava:
          type: string
          pattern: \S
        nosilacPravaMaticniBroj:
          type: string
          pattern: \S
    HartijaOdVrijednosti:
      type: object
      required:
      - vrstaHartije
      - nazivHartije
      - emitent
      - brojAkcija
      - iznosNominalneVrijednosti
      - valutaNominalneVrijednosti
      - napomena
      - nosilacPrava
      - nosilacPravaMaticniBroj
      properties:
        vrstaHartije:
          type: string
          pattern: \S
        nazivHartije:
          type: string
          pattern: \S
        emitent:
          type: string
          pattern: \S
        brojAkcija:
          type: number
        iznosNominalneVrijednosti:
          type: number
        valutaNominalneVrijednosti:
          type: string
          pattern: \S
        napomena:
          type:
          - string
          - "null"
        nosilacPrava:
          type: string
          pattern: \S
        nosilacPravaMaticniBroj:
          type: string
          pattern: \S
    HartijaSaPravomUcesca:
      type: object
      required:
      - nazivPravnogLica
      - sjedistePravnogLica
      - PIB
      - brojAkcija
      - iznosNominalneVrijednosti
      - valutaNominalneVrijednosti
      - izvrsenPrenosUpravljackihPrava
      - primalacUpravljackogPrava
      - brojUgovoraPrenosaUpravljackogPrava
      - nosilacPrava
      - nosilacPravaMaticniBroj
      properties:
        nazivPravnogLica:
          type: string
          pattern: \S
        sjedistePravnogLica:
          type: string
          pattern: \S
        PIB:
          type: string
          pattern: \S
        brojAkcija:
          type: number
        iznosNominalneVrijednosti:
          type: number
        valutaNominalneVrijednosti:
          type: string
          pattern: \S
        izvrsenPrenosUpravljackihPrava:
          type:
          - boolean
          - "null"
        primalacUpravljackogPrava:
          type:
          - string
          - "null"
        brojUgovoraPrenosaUpravljackogPrava:
          type:
          - string
          - "null"
        nosilacPrava:
          type: string
          pattern: \S
        nosilacPravaMaticniBroj:
          type: string
          pattern: \S
    ImovinskiKarton:
      type: object
      required:
      - id
      - datumIzvjestaja
      - svrhaPodnosenja
      - vrstaPodnosioca
      - javniFunkcioner
      - clanoviZajednickogDomacinstva
      - javneFunkcije
      - clanstvaURadnimTijelima
      - clanstvaUOrganimaUpravljanja
      - prihodiJavneFunkcije
      - prihodiURadnimTijelima
      - prihodiDrugiIzvori
      - prihodiUUdruzenjima
      - prihodiIntelektualneSvojine
      - prihodiClanovaDomacinstva
      - nepokretnaImovina
      - pokretnaRegistrovanaImovina
      - pokretnaImovina
      - gotovina
      - depoziti
      - hartijeSaPravomUcesca
      - udjeliVlasnistvaPravnihLica
      - hartijeOdVrijednosti
      - potrazivanja
      - dugoviKreditiZajmovi
      - nepokretnaImovinaPravnihLica
      - pokretnaRegistrovanaImovinaPravnihLica
      - obrazlozenjeNepokretneImovine
      - obrazlozenjePokretneRegistrovaneImovine
      - obrazlozenjePokretneImovine
      - obrazlozenjeGotovine
      - obrazlozenjePotrazivanja
      - obrazlozenjeDugovanjaKreditaZajmova
      - obrazlozenjeNepokretneImovinePravnihLica
      - obrazlozenjePokretneRegistrovaneImovinePravnihLica
      properties:
        id:
          type: string
        datumIzvjestaja:
          $ref: "#/components/schemas/LocalDate"
          type: string
        svrhaPodnosenja:
          $ref: "#/components/schemas/SvrhaPodnosenjaIzvjestaja"
        vrstaPodnosioca:
          $ref: "#/components/schemas/VrstaPodnosiocaIzvjestaja"
        vrstaDrzavnogSluzbenika:
          type: string
        javniFunkcioner:
          $ref: "#/components/schemas/JavniFunkcionerLicniPodaci"
        clanoviZajednickogDomacinstva:
          type: array
          items:
            $ref: "#/components/schemas/ClanZajednickogDomacinstvaLicniPodaci"
        javneFunkcije:
          type: array
          items:
            $ref: "#/components/schemas/JavnaFunkcija"
        clanstvaURadnimTijelima:
          type: array
          items:
            $ref: "#/components/schemas/ClanstvoURadnomTijelu"
        clanstvaUOrganimaUpravljanja:
          type: array
          items:
            $ref: "#/components/schemas/ClanstvoUOrganuUpravljanja"
        prihodiJavneFunkcije:
          type: array
          items:
            $ref: "#/components/schemas/PrihodJavneFunkcije"
        prihodiURadnimTijelima:
          type: array
          items:
            $ref: "#/components/schemas/PrihodURadnomTijelu"
        prihodiDrugiIzvori:
          type: array
          items:
            $ref: "#/components/schemas/PrihodDrugiIzvori"
        prihodiUUdruzenjima:
          type: array
          items:
            $ref: "#/components/schemas/PrihodUUdruzenju"
        prihodiIntelektualneSvojine:
          type: array
          items:
            $ref: "#/components/schemas/PrihodIntelektualneSvojine"
        prihodiClanovaDomacinstva:
          type: array
          items:
            $ref: "#/components/schemas/PrihodClanaDomacinstva"
        nepokretnaImovina:
          type: array
          items:
            $ref: "#/components/schemas/NepokretnaImovina"
        pokretnaRegistrovanaImovina:
          type: array
          items:
            $ref: "#/components/schemas/PokretnaRegistrovanaImovina"
        pokretnaImovina:
          type: array
          items:
            $ref: "#/components/schemas/PokretnaImovina"
        gotovina:
          type: array
          items:
            $ref: "#/components/schemas/Gotovina"
        depoziti:
          type: array
          items:
            $ref: "#/components/schemas/Depozit"
        hartijeSaPravomUcesca:
          type: array
          items:
            $ref: "#/components/schemas/HartijaSaPravomUcesca"
        udjeliVlasnistvaPravnihLica:
          type: array
          items:
            $ref: "#/components/schemas/UdioVlasnistvaPravnogLica"
        hartijeOdVrijednosti:
          type: array
          items:
            $ref: "#/components/schemas/HartijaOdVrijednosti"
        potrazivanja:
          type: array
          items:
            $ref: "#/components/schemas/Potrazivanje"
        dugoviKreditiZajmovi:
          type: array
          items:
            $ref: "#/components/schemas/DugKreditZajam"
        nepokretnaImovinaPravnihLica:
          type: array
          items:
            $ref: "#/components/schemas/NepokretnaImovinaPravnogLica"
        pokretnaRegistrovanaImovinaPravnihLica:
          type: array
          items:
            $ref: "#/components/schemas/PokretnaRegistrovanaImovinaPravnogLica"
        obrazlozenjeNepokretneImovine:
          type:
          - string
          - "null"
        obrazlozenjePokretneRegistrovaneImovine:
          type:
          - string
          - "null"
        obrazlozenjePokretneImovine:
          type:
          - string
          - "null"
        obrazlozenjeGotovine:
          type:
          - string
          - "null"
        obrazlozenjePotrazivanja:
          type:
          - string
          - "null"
        obrazlozenjeDugovanjaKreditaZajmova:
          type:
          - string
          - "null"
        obrazlozenjeNepokretneImovinePravnihLica:
          type:
          - string
          - "null"
        obrazlozenjePokretneRegistrovaneImovinePravnihLica:
          type:
          - string
          - "null"
    ImovinskiKartonInfo:
      type: object
      required:
      - id
      - ime
      - prezime
      - maticniBroj
      - imeOca
      - datumIzvjestaja
      - svrhaPodnosenja
      - vrstaPodnosioca
      properties:
        id:
          type: string
        ime:
          type: string
        prezime:
          type: string
        maticniBroj:
          type: string
        imeOca:
          type: string
        datumIzvjestaja:
          $ref: "#/components/schemas/LocalDate"
          type: string
        svrhaPodnosenja:
          $ref: "#/components/schemas/SvrhaPodnosenjaIzvjestaja"
        vrstaPodnosioca:
          $ref: "#/components/schemas/VrstaPodnosiocaIzvjestaja"
    ImovinskiKartoniList:
      type: object
      required:
      - data
      - selected
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/ImovinskiKartonInfo"
        selected:
          type: integer
          format: int32
    JavnaFunkcija:
      type: object
      required:
      - vrstaJavneFunkcije
      - nazivFunkcije
      - nazivOrganizacije
      - nazivOrganizacijeKojaVrsiImenovanje
      - mjestoObavljanjaFunkcije
      - datumStupanja
      - datumPrestanka
      - bezNaknade
      properties:
        vrstaJavneFunkcije:
          $ref: "#/components/schemas/VrstaJavneFunkcije"
        nazivFunkcije:
          type: string
        nazivOrganizacije:
          type: string
        nazivOrganizacijeKojaVrsiImenovanje:
          type: string
        mjestoObavljanjaFunkcije:
          type: string
        datumStupanja:
          $ref: "#/components/schemas/LocalDate"
          type: string
        datumPrestanka:
          type:
          - string
          - "null"
          anyOf:
          - $ref: "#/components/schemas/LocalDate"
          - type: "null"
        bezNaknade:
          type: boolean
    JavniFunkcionerLicniPodaci:
      type: object
      required:
      - ime
      - prezime
      - maticniBroj
      - imeOca
      - imeMajke
      - rodjenoPrezimeMajke
      - adresaPrebivalista
      - mjestoPrebivalista
      - skolskaSprema
      - zvanje
      - telefonPoslovni
      - mobilniTelefon
      - eMail
      properties:
        ime:
          type: string
        prezime:
          type: string
        maticniBroj:
          type: string
        rodjenoPrezime:
          type: string
        imeOca:
          type: string
        imeMajke:
          type: string
        rodjenoPrezimeMajke:
          type: string
        adresaPrebivalista:
          type: string
        mjestoPrebivalista:
          type: string
        adresaBoravista:
          type: string
        mjestoBoravista:
          type: string
        skolskaSprema:
          type: string
        zvanje:
          type: string
        telefonKucni:
          type: string
        telefonPoslovni:
          type: string
        mobilniTelefon:
          type: string
        eMail:
          type: string
    LocalDate:
      type: string
      format: date
      examples:
      - 2022-03-10
    Mjesec:
      type: string
      enum:
      - Januar
      - Februar
      - Mart
      - April
      - Maj
      - Jun
      - Jul
      - Avgust
      - Semptembar
      - Oktobar
      - Novembar
      - Decembar
    NepokretnaImovina:
      type: object
      required:
      - uInostranstvu
      - opstina
      - katastarskaOpstina
      - katastarskiBroj
      - katastarskiBrojObjekta
      - katastarskiBrojPosebnogDijela
      - vrsta
      - struktura
      - povrsina
      - adresa
      - mjesto
      - drzava
      - pravoNadImovinom
      - vlasnickiUdjeo
      - osnovSticanja
      - godinaSticanja
      - nosilacPrava
      - nosilacPravaMaticniBroj
      properties:
        uInostranstvu:
          type: boolean
        opstina:
          type:
          - string
          - "null"
        katastarskaOpstina:
          type:
          - string
          - "null"
        katastarskiBroj:
          type: string
          pattern: \S
        katastarskiBrojObjekta:
          type:
          - string
          - "null"
        katastarskiBrojPosebnogDijela:
          type:
          - string
          - "null"
        vrsta:
          type: string
          pattern: \S
        struktura:
          type: string
          pattern: \S
        povrsina:
          type: string
          pattern: \S
        adresa:
          type: string
          pattern: \S
        mjesto:
          type: string
          pattern: \S
        drzava:
          type: string
          pattern: \S
        pravoNadImovinom:
          type:
          - string
          - "null"
        vlasnickiUdjeo:
          type: integer
          format: int32
        osnovSticanja:
          type: string
          pattern: \S
        godinaSticanja:
          type: integer
          format: int32
        nosilacPrava:
          type: string
          pattern: \S
        nosilacPravaMaticniBroj:
          type: string
          pattern: \S
    NepokretnaImovinaPravnogLica:
      type: object
      required:
      - uInostranstvu
      - opstina
      - katastarskaOpstina
      - katastarskiBroj
      - katastarskiBrojObjekta
      - katastarskiBrojPosebnogDijela
      - vrsta
      - struktura
      - povrsina
      - adresa
      - mjesto
      - drzava
      - pravoNadImovinom
      - nosilacPrava
      - nosilacPravaPIB
      properties:
        uInostranstvu:
          type: boolean
        opstina:
          type:
          - string
          - "null"
        katastarskaOpstina:
          type:
          - string
          - "null"
        katastarskiBroj:
          type: string
          pattern: \S
        katastarskiBrojObjekta:
          type:
          - string
          - "null"
        katastarskiBrojPosebnogDijela:
          type:
          - string
          - "null"
        vrsta:
          type: string
          pattern: \S
        struktura:
          type: string
          pattern: \S
        povrsina:
          type: string
          pattern: \S
        adresa:
          type: string
          pattern: \S
        mjesto:
          type: string
          pattern: \S
        drzava:
          type: string
          pattern: \S
        pravoNadImovinom:
          type:
          - string
          - "null"
        nosilacPrava:
          type: string
          pattern: \S
        nosilacPravaPIB:
          type: string
          pattern: \S
    PokretnaImovina:
      type: object
      required:
      - vrsta
      - osnovSticanja
      - detaljanOpis
      - procijenjenaVrijednost
      - nosilacPrava
      - nosilacPravaMaticniBroj
      properties:
        vrsta:
          type: string
          pattern: \S
        osnovSticanja:
          type: string
          pattern: \S
        detaljanOpis:
          type:
          - string
          - "null"
        procijenjenaVrijednost:
          type:
          - number
          - "null"
        nosilacPrava:
          type: string
          pattern: \S
        nosilacPravaMaticniBroj:
          type: string
          pattern: \S
    PokretnaRegistrovanaImovina:
      type: object
      required:
      - kategorija
      - markaVrstaTip
      - godinaProizvodnje
      - godinaPrveRegistracije
      - osnovSticanja
      - registarskiBroj
      - nosilacPrava
      - nosilacPravaMaticniBroj
      properties:
        kategorija:
          type: string
        markaVrstaTip:
          type: string
        godinaProizvodnje:
          type: integer
          format: int32
        godinaPrveRegistracije:
          type:
          - integer
          - "null"
          format: int32
        osnovSticanja:
          type: string
          pattern: \S
        registarskiBroj:
          type: string
          pattern: \S
        nosilacPrava:
          type: string
          pattern: \S
        nosilacPravaMaticniBroj:
          type: string
          pattern: \S
    PokretnaRegistrovanaImovinaPravnogLica:
      type: object
      required:
      - kategorija
      - markaVrstaTip
      - godinaProizvodnje
      - osnovSticanja
      - registarskiBroj
      - nosilacPrava
      - nosilacPravaPIB
      properties:
        kategorija:
          type: string
          pattern: \S
        markaVrstaTip:
          type: string
          pattern: \S
        godinaProizvodnje:
          type: integer
          format: int32
        osnovSticanja:
          type: string
          pattern: \S
        registarskiBroj:
          type: string
          pattern: \S
        nosilacPrava:
          type: string
          pattern: \S
        nosilacPravaPIB:
          type: string
          pattern: \S
    Potrazivanje:
      type: object
      required:
      - vrstaPotrazivanja
      - datumNastankaPotrazivanja
      - iznosGlavnice
      - valutaGlavnice
      - iznosUkupneKamate
      - valutaUkupneKamate
      - preostaliRokNaplate
      - povjerioc
      - povjeriocMaticniBroj
      properties:
        vrstaPotrazivanja:
          type: string
          pattern: \S
        datumNastankaPotrazivanja:
          $ref: "#/components/schemas/LocalDate"
          type: string
        iznosGlavnice:
          type: number
        valutaGlavnice:
          type: string
        iznosUkupneKamate:
          type:
          - number
          - "null"
        valutaUkupneKamate:
          type:
          - string
          - "null"
        preostaliRokNaplate:
          type: string
          pattern: \S
        povjerioc:
          type: string
          pattern: \S
        povjeriocMaticniBroj:
          type: string
          pattern: \S
    PrihodClanaDomacinstva:
      type: object
      required:
      - poslodavacIliOsnovSticanja
      - radnoMjesto
      - vrstaPrihoda
      - netoMjesecniIznos
      - ostvarenUMjesecima
      - clanDomacinstva
      - clanDomacinstvaMaticniBroj
      properties:
        poslodavacIliOsnovSticanja:
          type:
          - string
          - "null"
        radnoMjesto:
          type:
          - string
          - "null"
        vrstaPrihoda:
          $ref: "#/components/schemas/VrstaMjesecnogPrihoda"
        netoMjesecniIznos:
          type: number
        ostvarenUMjesecima:
          type: array
          uniqueItems: true
          items:
            $ref: "#/components/schemas/Mjesec"
        clanDomacinstva:
          type: string
          pattern: \S
        clanDomacinstvaMaticniBroj:
          type: string
          pattern: \S
    PrihodDrugiIzvori:
      type: object
      required:
      - nazivDjelatnosti
      - izvorPrihoda
      - vrstaPrihoda
      - netoMjesecniIznos
      - ostvarenUMjesecima
      properties:
        nazivDjelatnosti:
          type: string
          pattern: \S
        izvorPrihoda:
          type: string
          pattern: \S
        vrstaPrihoda:
          $ref: "#/components/schemas/VrstaMjesecnogPrihoda"
        netoMjesecniIznos:
          type: number
        ostvarenUMjesecima:
          type: array
          uniqueItems: true
          items:
            $ref: "#/components/schemas/Mjesec"
    PrihodIntelektualneSvojine:
      type: object
      required:
      - vrstaPrava
      - vrstaPrihoda
      - netoMjesecniIznos
      - ostvarenUMjesecima
      properties:
        vrstaPrava:
          type: string
          pattern: \S
        vrstaPrihoda:
          $ref: "#/components/schemas/VrstaMjesecnogPrihoda"
        netoMjesecniIznos:
          type: number
        ostvarenUMjesecima:
          type: array
          uniqueItems: true
          items:
            $ref: "#/components/schemas/Mjesec"
    PrihodJavneFunkcije:
      type: object
      required:
      - nazivFunkcije
      - izvorPrihoda
      - vrstaPrihoda
      - netoMjesecniIznos
      - ostvarenUMjesecima
      properties:
        nazivFunkcije:
          type: string
          pattern: \S
        izvorPrihoda:
          type: string
          pattern: \S
        vrstaPrihoda:
          $ref: "#/components/schemas/VrstaMjesecnogPrihoda"
        netoMjesecniIznos:
          type: number
        ostvarenUMjesecima:
          type: array
          uniqueItems: true
          items:
            $ref: "#/components/schemas/Mjesec"
    PrihodURadnomTijelu:
      type: object
      required:
      - nazivFunkcije
      - izvorPrihoda
      - vrstaPrihoda
      - netoMjesecniIznos
      - ostvarenUMjesecima
      properties:
        nazivFunkcije:
          type: string
          pattern: \S
        izvorPrihoda:
          type: string
          pattern: \S
        vrstaPrihoda:
          $ref: "#/components/schemas/VrstaMjesecnogPrihoda"
        netoMjesecniIznos:
          type: number
        ostvarenUMjesecima:
          type: array
          uniqueItems: true
          items:
            $ref: "#/components/schemas/Mjesec"
    PrihodUUdruzenju:
      type: object
      required:
      - nazivUdruzenja
      - nazivOrganaUpraveNadzora
      - status
      - vrstaPrihoda
      - netoMjesecniIznos
      - ostvarenUMjesecima
      properties:
        nazivUdruzenja:
          type: string
          pattern: \S
        nazivOrganaUpraveNadzora:
          type: string
          pattern: \S
        status:
          type: string
          pattern: \S
        vrstaPrihoda:
          $ref: "#/components/schemas/VrstaMjesecnogPrihoda"
        netoMjesecniIznos:
          type: number
        ostvarenUMjesecima:
          type: array
          uniqueItems: true
          items:
            $ref: "#/components/schemas/Mjesec"
    SvrhaPodnosenjaIzvjestaja:
      type: string
      enum:
      - 'U roku od 30 dana od dana stupanja na funkciju '
      - "Redovan godišnji izvještaj, do kraja marta tekuće godine za prethodnu godinu "
      - U slučaju promjena iz Izvještaja koje se odnose na uvećanje imovine preko
        5.000 €
      - U slučaju promjena iz Izvještaja koje se odnose na uvećanje imovine preko
        10.000 €
      - '30 dana od dana prestanka funkcije '
      - 'Godišnji po prestanku funkcije '
      - Na zahtjev Agencije
      - Izvještaj kandidata za predsjednika Crne Gore
    UdioVlasnistvaPravnogLica:
      type: object
      required:
      - nazivPravnogLica
      - sjedistePravnogLica
      - PIB
      - procenatUdjela
      - izvrsenPrenosUpravljackihPrava
      - primalacUpravljackogPrava
      - brojUgovoraPrenosaUpravljanja
      - nosilacPrava
      - nosilacPravaMaticniBroj
      properties:
        nazivPravnogLica:
          type: string
          pattern: \S
        sjedistePravnogLica:
          type: string
          pattern: \S
        PIB:
          type: string
          pattern: \S
        procenatUdjela:
          type: number
        izvrsenPrenosUpravljackihPrava:
          type:
          - boolean
          - "null"
        primalacUpravljackogPrava:
          type:
          - string
          - "null"
        brojUgovoraPrenosaUpravljanja:
          type:
          - string
          - "null"
        nosilacPrava:
          type: string
          pattern: \S
        nosilacPravaMaticniBroj:
          type: string
          pattern: \S
    VrstaDepozita:
      type: string
      enum:
      - Tekući račun
      - Štedni ulog oročen
      - Štedni ulog neoročen
      - Ostalo
    VrstaJavneFunkcije:
      type: string
      enum:
      - Državna
      - Lokalna
    VrstaMjesecnogPrihoda:
      type: string
      enum:
      - Osnovna plata
      - Varijabla
      - Drugi prihod
    VrstaPodnosiocaIzvjestaja:
      type: string
      enum:
      - Javni funkcioner
      - Državni službenik
tags:
- name: Imovinski kartoni
paths:
  /api/ask/v2/imovinski-kartoni:
    get:
      summary: Prikaži imovinske kartone javnog funkcionera ili državnog službenika
      tags:
      - Imovinski kartoni
      parameters:
      - name: ime
        in: query
        schema:
          type: string
          pattern: \S
        required: true
      - name: maticni-broj
        in: query
        schema:
          type: string
          pattern: \S
        required: true
      - name: prezime
        in: query
        schema:
          type: string
          pattern: \S
        required: true
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ImovinskiKartoniList"
  /api/ask/v2/imovinski-kartoni.html:
    get:
      summary: Prikaži imovinske kartone javnog funkcionera ili državnog službenika
        - HTML
      tags:
      - Imovinski kartoni
      parameters:
      - name: ime
        in: query
        schema:
          type: string
          pattern: \S
        required: true
      - name: maticni-broj
        in: query
        schema:
          type: string
          pattern: \S
        required: true
      - name: prezime
        in: query
        schema:
          type: string
          pattern: \S
        required: true
      responses:
        "200":
          description: OK
  /api/ask/v2/imovinski-kartoni/{id}:
    get:
      summary: Prikaži imovinski karton javnog funkcionera ili državnog službenika
      tags:
      - Imovinski kartoni
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        "404":
          description: Imovinski karton nije pronađen
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ErrorResponse"
  /api/ask/v2/imovinski-kartoni/{id}.html:
    get:
      summary: Prikaži imovinski karton javnog funkcionera ili državnog službenika
        - HTML format
      tags:
      - Imovinski kartoni
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      responses:
        "200":
          description: OK
info:
  title: imovinski-kartoni-rest-demo API
  version: 1.0.0-SNAPSHOT
